RTEMS: cpukit/libcsupport/src/error.c File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Functions | Variables
error.c File Reference
Internal » Standard C Library Support » Error And Panic Support

Error and Panic Report Support. More...

`#include <rtems.h>`
`#include <rtems/error.h>`
`#include <rtems/assoc.h>`
`#include <rtems/score/sysstate.h>`
`#include <rtems/score/threadimpl.h>`
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <stdarg.h>`
`#include <errno.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`

## Functions
int | rtems_verror (rtems_error_code_t error_flag, const char *printf_format, va_list arglist)
| Report an Error.
int | rtems_error (rtems_error_code_t error_flag, const char *printf_format,...)
| Report an Error.

## Variables
int | rtems_panic_in_progress

## Detailed Description

Error and Panic Report Support.

## Function Documentation

## ◆ rtems_error()

int rtems_error | ( | rtems_error_code_t | error_code,
|  | const char * | printf_format,
|  |  | ...
| ) |  |

Report an Error.

Parameters

  [in] | error_code | can be specified as any of the following: RTEMS_ERROR_ERRNO – include errno text in output RTEMS_ERROR_PANIC – halts local system after output RTEMS_ERROR_ABORT – abort after output
  [in] | printf_format | is a normal printf(3) format string, with its concommitant arguments

Returns
  the number of characters written.

## ◆ rtems_verror()

int rtems_verror | ( | rtems_error_code_t | error_code,
|  | const char * | printf_format,
|  | va_list | arglist
| ) |  |

Report an Error.

Parameters

  [in] | error_code | can be specified as any of the following: RTEMS_ERROR_ERRNO – include errno text in output RTEMS_ERROR_PANIC – halts local system after output RTEMS_ERROR_ABORT – abort after output
  [in] | printf_format | is a normal printf(3) format string, with its concommitant arguments
  [in] | arglist | is a varargs list corresponding to printf_format

Returns
  the number of characters written.